Summary:	guake - a drop-down terminal
Summary(pl.UTF-8):	guake - wyskakujący terminal
Name:		guake
Version:	3.10
Release:	3
License:	GPL v2+
Group:		X11/Applications
Source0:	https://github.com/Guake/guake/archive/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	d06eb4b40645f6d71552418102ccc04e
Patch0:		set_scripts_path.patch
Patch1:		dont_try_compile_schemas.patch
Patch2:		dont_use_pip_to_build.patch
Patch3:		fix_manpage_name.patch
URL:		http://guake.org/
BuildRequires:	glib2
BuildRequires:	gettext-tools
BuildRequires:	intltool >= 0.35
BuildRequires:	pkgconfig
BuildRequires:	python3-pygobject3-devel
BuildRequires:	python3-setuptools
BuildRequires:	python3-pbr
BuildRequires:	python3-pip
BuildRequires:	python3-reno
BuildRequires:	python3-sphinxcontrib-programoutput
BuildRequires:	python3-wheel
BuildRequires:	rpm-pythonprov
BuildRequires:	sed >= 4.0
Requires(post,postun):	desktop-file-utils
Requires:	dbus(org.freedesktop.Notifications)
Requires:	python3-pygobject3
Requires:	python3-notify2
Requires:	python3-pbr
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Guake is a drop-down terminal for Gnome Desktop Environment, so you
just need to press a key to invoke him, and press again to hide.

%description -l pl.UTF-8
Guake to wyskakujący terminal dla Gnome, a więc wystarczy nacisnąć
przycisk aby go wywołać i nacisnąć ponownie by schować.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%{__make}
%{__make} -C docs man

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_datadir}/glib-2.0/schemas,%{_mandir}/man1}

PBR_VERSION=%{version} \
SETUPTOOLS_SCM_PRETEND_VERSION=%{version} \
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	PREFIX=%{_prefix}

cp -p docs/_build/man/guake.1 $RPM_BUILD_ROOT%{_mandir}/man1
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database
%glib_compile_schemas

%postun
%update_desktop_database_postun
%glib_compile_schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{py3_sitescriptdir}/guake
%{py3_sitescriptdir}/guake-%{version}-py*.egg-info
%{_datadir}/guake
%{_pixmapsdir}/guake.png
%{_desktopdir}/*.desktop
%{_datadir}/glib-2.0/schemas/org.guake.gschema.xml
%{_mandir}/man1/guake.1*
%{_metainfodir}/guake.desktop.metainfo.xml
%changelog
* Tue Oct 03 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/guake.git;a=log;h=master

* Tue Oct 03 2023 Jan Rękorajski <baggins@pld-linux.org> 2444e02
- Release 3 (by relup.sh)

* Thu Sep 21 2023 Jan Rękorajski <baggins@pld-linux.org> 70be69a
- updated post scriptlets for glib schemas, rel 2

* Thu Sep 21 2023 Jan Rękorajski <baggins@pld-linux.org> cbad10b
- up to 3.10 with a bunch of fixes from debian

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 16194dc
- updated gettext BR

* Wed Oct 05 2011 Jan Rękorajski <baggins@pld-linux.org> cda7396
- rel 2
- removed bogus todo
- no need to regenerate autocrap
- add killall gconfd in posttrans or it won't see guake schema

* Sun Sep 12 2010 Krzysztof Goliński <dirdival@pld-linux.org> 81670f6
- updated to 0.4.2

* Thu Aug 19 2010 Elan Ruusamäe <glen@pld-linux.org> b1efbd0
- no -> nb; rel 4

* Fri Jul 09 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> dce5cc8
- release 3

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 4c59ae8
- release 2

* Fri May 07 2010 Krzysztof Goliński <dirdival@pld-linux.org> 978ba54
- updated to 0.4.1
- removed workaround for locale names - fixed in source

* Wed Feb 17 2010 sparky <sparky@pld-linux.org> 6d1df8f
- BR: gettext-devel, intltool, pkgconfig, rpm-pythonprov

* Tue Feb 16 2010 ankry <ankry@pld-linux.org> 53661c6
- simpler fix for locale names, rel. 2

* Fri Nov 06 2009 Krzysztof Goliński <dirdival@pld-linux.org> 88ac8a7
- up to 0.4.0
- patch desktop added
- pl description added

* Fri Nov 06 2009 Krzysztof Goliński <dirdival@pld-linux.org> 3e3932e
- encoding removed

* Mon Aug 17 2009 Elan Ruusamäe <glen@pld-linux.org> c3954cc
- fix ru locale. LP#413301
- -disable-static and files cleanup
- rel 3

* Sun Jul 05 2009 pawelz <pawelz@pld-linux.org> c18bff5
- dropped R: notification-daemon
- R: dbus(org.freedesktop.Notifications)
- typo in Summary pl
- rel 2

* Wed Aug 20 2008 pablo <pablo@pld-linux.org> c2f6ca9
- added missing Requires

* Wed Aug 06 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 093b5ca
- initial

